
//********************************************************************
//*    PGMID.        HARDWARE ABSTRACTION LAYER (AVR).               *
//*    AUTHOR.       BERND R. FIX   >Y<                              *
//*    DATE WRITTEN. 07/02/10.                                       *
//*    COPYRIGHT.    (C) BY BERND R. FIX. ALL RIGHTS RESERVED.       *
//*                  LICENSED MATERIAL - PROGRAM PROPERTY OF THE     *
//*                  AUTHOR. REFER TO COPYRIGHT INSTRUCTIONS.        *
//*    REMARKS.                                                      *
//********************************************************************

/*
 *  $Log: hal.h,v $
 *  Revision 1.3  2007/03/09 02:55:14  y67
 */

#ifndef _HAL_H_
#define _HAL_H_

//=====================================================================
// define used types and constants	
//=====================================================================

typedef unsigned char  byte;
typedef unsigned short word;
typedef unsigned char  bool;

#ifndef TRUE
#	define	FALSE	0
#	define	TRUE	1
#endif

//=====================================================================
//	Function prototypes:
//=====================================================================

//---------------------------------------------------------------------
//	serial communication 
//---------------------------------------------------------------------

void uartInit 		(bool isDirect);
void uartSendBytes	(byte* data, int num);
void uartSendByte	(byte b);
void uartSendWord	(word w);
int  uartReceiveBytes	(byte* data, int num);
byte uartReceiveByte	(void);
void uartDelay          (int ms);

#endif
